<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditContactForm.aspx.cs" Inherits="Admin_EditContactForm" Title="Edit Contact Form" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Edit Contact Form</h1>

    <table cellpadding="2" cellspacing="5">
        <tr valign="top">
            <td>Name:</td>
            <td><asp:Literal ID="litBlockTitle" runat="server" /></td>
        </tr>
        <tr valign="top">
            <td>Email Subject:</td>
            <td>
                <asp:TextBox ID="txtSubject" runat="server" Width="500px" />
                <div style="font-size: 8pt;">The subject line of the email to be sent by the form</div>
            </td>
        </tr>
        <tr valign="top">
            <td>From Name:</td>
            <td>
                <asp:TextBox ID="txtFromName" runat="server" Width="500px" />
                <div style="font-size: 8pt;">The friendly name from which the email will originate</div>
            </td>
        </tr>
        <tr valign="top">
            <td>From Address:</td>
            <td>
                <asp:TextBox ID="txtFromAddress" runat="server" Width="500px" />
                <div style="font-size: 8pt;">The address from which the email will originate</div>
            </td>
        </tr>
        <tr valign="top">
            <td>Recipients:</td>
            <td>
                <asp:TextBox ID="txtRecipientAddresses" runat="server" Width="500px" />
                <div style="font-size: 8pt;">Email recipients (comma separated, no spaces)</div>
            </td>
        </tr>
        <tr valign="top">
            <td>Thank You Message:</td>
            <td>
                <asp:TextBox ID="txtThankYouMessage" runat="server" Width="500px" />
                <div style="font-size: 8pt;">The message to be displayed to the user after a successful submission</div>
            </td>
        </tr>
        <tr valign="top">
            <td>Fields:</td>
            <td>
                <asp:GridView ID="gvFields" runat="server" GridLines="None" AutoGenerateColumns="false" DataKeyNames="ContactFormFieldID" ShowHeader="false" OnRowCommand="gvFields_RowCommand">
                    <Columns>
                        <asp:HyperLinkField ItemStyle-Width="480px" DataTextField="Label" DataNavigateUrlFields="ContactFormFieldID" DataNavigateUrlFormatString="EditContactFormField.aspx?ContactFormFieldID={0}" />
                        <asp:ButtonField ButtonType="Image" ImageUrl="images/delete.gif" CommandName="del" />
                    </Columns>
                </asp:GridView>
                <br />
                <a href="EditContactFormField.aspx?ContactFormID=<%= ContactFormID %>">+ Add A Field</a> | <a href="SortContactFormFields.aspx?ContactFormID=<%= ContactFormID %>">Sort Fields</a>
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <div>
                    <asp:RequiredFieldValidator ID="rfvSubject" runat="server" ControlToValidate="txtSubject" ErrorMessage="Subject is required." Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="rfvFromName" runat="server" ControlToValidate="txtFromName" ErrorMessage="From Name is required." Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="rfvFromAddress" runat="server" ControlToValidate="txtFromAddress" ErrorMessage="From Address is required." Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="rfvRecipientAddresses" runat="server" ControlToValidate="txtRecipientAddresses" ErrorMessage="Recipient Addresses is required." Display="Dynamic" />
                    <asp:RequiredFieldValidator ID="rfvThankYouMessage" runat="server" ControlToValidate="txtThankYouMessage" ErrorMessage="Thank You Message is required." Display="Dynamic" />
                </div>
                <asp:Button ID="btnCancel" runat="server" Text="Cancel" OnClick="btnCancel_Click" CausesValidation="false" />
                <asp:Button ID="btnSubmit" runat="server" Text="Save" OnClick="btnSubmit_Click" />
            </td>
        </tr>
    </table>

</asp:Content>

