<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditContactFormField.aspx.cs" Inherits="Admin_EditContactFormField" Title="Edit Contact Form Field" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Edit Contact Form Field</h1>

    <table cellpadding="2" cellspacing="5">
        <tr valign="top">
            <td>*Field Type</td>
            <td>
                <asp:DropDownList ID="ddlFieldType" runat="server" AutoPostBack="True">
                    <asp:ListItem Value="1">Text Box</asp:ListItem>
                    <asp:ListItem Value="2">Large Text Box</asp:ListItem>
                    <asp:ListItem Value="3">Drop Down List</asp:ListItem>
                    <asp:ListItem Value="4">Check Box</asp:ListItem>
                    <asp:ListItem Value="5">Check Box List</asp:ListItem>
                    <asp:ListItem Value="6">Radio Button List</asp:ListItem>
                    <asp:ListItem Value="7">Separator</asp:ListItem>
                </asp:DropDownList>
                <div style="font-size: 8pt;">The type of field to display</div>
            </td>
        </tr>
        <tr valign="top">
            <td>*Label</td>
            <td>
                <asp:TextBox ID="txtLabel" runat="server" Width="500px" />
                <div style="font-size: 8pt;">The label for this field</div>
            </td>
        </tr>
        <tr valign="top">
            <td>Options</td>
            <td>
                <asp:TextBox ID="txtOptions" runat="server" Width="500px" />
                <div style="font-size: 8pt;">The options in your Drop Down List, Check Box List, or Radio Button List.  Other field types are unaffected. (Comma separated, no spaces)</div>
            </td>
        </tr>
        <tr valign="top">
            <td>Validation</td>
            <td>
                <asp:TextBox ID="txtValidation" runat="server" Width="500px" />
                <div style="font-size: 8pt;">For advanced users, the regular expression to apply to the value in the checkbox for validation purposes</div>
            </td>
        </tr>
        <tr valign="top">
            <td>Required</td>
            <td><asp:CheckBox ID="chkRequired" runat="server" /></td>
        </tr>
        <tr>
            <td></td>
            <td>
                <div>
                    <asp:RequiredFieldValidator ID="reqLabel" runat="server" ControlToValidate="txtLabel" ErrorMessage="Label is required." Display="Dynamic" />
                </div>
                <asp:Button ID="btnCancel" runat="server" Text="Cancel" CausesValidation="false" OnClick="btnCancel_Click" />
                <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
            </td>
        </tr>
    </table>
</asp:Content>

