<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditSelector_Basics.aspx.cs" Inherits="Admin_EditSelector_Basics" Title="Edit Product Page - Basic Information" ValidateRequest="false" %>
<%@ Register TagPrefix="AdminControls" Namespace="AdminControls" Assembly="__code" %>
<%@ Register TagPrefix="Custom2" Namespace="Admin" Assembly="__code" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="StorePages.aspx?SelectorID=<%= SelectorID %>">Store Pages</a> &gt; Add/Edit Product Page &gt; Basic Information
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="StorePages.aspx?SelectorID=<%= SelectorID %>">&lt; Back to Store Pages</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditSelector_Basics.aspx?SelectorID=<%= SelectorID %>">Basic Information</a>
            </th>
        </tr>
        </table>
    </div>
    <% if (SelectorID == 0) { %>
    <div style="opacity: 0.4; filter: alpha(opacity=40);">
    <% } %>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    Member Items
                    <% } else { %>
                    <a href="EditSelector_MemberItems.aspx?SelectorID=<%= SelectorID %>">Member Items</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    Customizations
                    <% } else { %>
                    <a href="EditSelector_Customizations.aspx?SelectorID=<%= SelectorID %>">Customizations</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    Categories
                    <% } else { %>
                    <a href="EditSelector_Categories.aspx?SelectorID=<%= SelectorID %>">Categories</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    Related Products
                    <% } else { %>
                    <a href="EditSelector_Related.aspx?SelectorID=<%= SelectorID %>">Related Products</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    Photos
                    <% } else { %>
                    <a href="EditSelector_Photos.aspx?SelectorID=<%= SelectorID %>">Photos</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    Product Attributes
                    <% } else { %>
                    <a href="EditSelector_ProductAttributes.aspx?SelectorID=<%= SelectorID %>">Product Attributes</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
        <div class="panel">
            <table class="sidePanel" cellpadding="1" cellspacing="0">
            <tr>
                <th>
                    <% if (SelectorID == 0) { %>
                    View This Product Page
                    <% } else { %>
                    <a href="Preview.aspx?SelectorID=<%= SelectorID %>" target="_blank">View This Product Page</a>
                    <% } %>
                </th>
            </tr>
            </table>
        </div>
    <% if (SelectorID == 0) { %>
    </div>
    <% } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">    
    <h1>Basic Information</h1>
    
    <div>
        <asp:RequiredFieldValidator ID="reqName" runat="server" ErrorMessage="Name is required.<br><br>" ControlToValidate="txtName" Display="Dynamic" ValidationGroup="Basic" />
    </div>
    
    <table cellpadding="2" cellspacing="0">
    <!--
    <tr valign="top">
        <td class="labelColumn">SKU: </td>
        <td colspan="4"><asp:TextBox ID="txtSKU" runat="server" MaxLength="255" CssClass="inputBox" Width="250" /></td>
    </tr>
    -->
    <tr valign="top">
        <td class="labelColumn"><span style="color: red">*</span>Name: </td>
        <td colspan="4"><asp:TextBox ID="txtName" runat="server" MaxLength="255" CssClass="inputBox" Width="544" /></td>
    </tr>
    <tr valign="top">
        <td class="labelColumn">Price(text): </td>
        <td colspan="4"><asp:TextBox ID="txtPrice" runat="server" MaxLength="255" CssClass="inputBox" Width="544" /></td>
    </tr>
    <tr valign="top">
        <td class="labelColumn">Description: </td>
        <td colspan="4">
            <div id="editorDiv" class="editorDiv">
                <Custom2:FCKBlock ID="txtDescription" ToolbarSet="Minimal" runat="server" Width="550" Height="300" />
            </div>
            <div align="right">
                <a class="popUpLink" href="#" onclick="showConfigDiv(event,'<%= RelativePath %>/Admin/Ajax/AddDocument.aspx',550,300); return false;">[Add A Document]</a>
            </div>
        </td>
    </tr>
    <tr>
        <td class="labelColumn">Selector Type:</td>
        <td>
            <asp:DropDownList ID="ddlSelectorType" runat="server" CssClass="inputBox" Width="275px" AutoPostBack="false">
                <asp:ListItem Value="List">Multiple Items - List Format</asp:ListItem>
                <asp:ListItem Value="Dropdown">Multiple Items - Dropdown</asp:ListItem>
                <asp:ListItem Value="SingleItem">Single Item</asp:ListItem>
            </asp:DropDownList>
        </td>
        <td align="center" style="font-size: 8pt; width: 75px;">
            <asp:CheckBox ID="chkActive" runat="server" Checked="True" /><br />
            Active
        </td>
        <td align="center" style="font-size: 8pt; width: 75px;">
            <asp:CheckBox ID="chkBrowsable" runat="server" Checked="True" /><br />
            Browsable
        </td>
    </tr>
    </table>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
    <asp:Panel CssClass="panel right saved" runat="server" ID="pnlSaved" Visible="False" EnableViewState="false">
        Saved
    </asp:Panel>
    <div class="panel right">
        <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" ValidationGroup="Basic" />
        <asp:Button ID="btnDelete" runat="server" Text="Delete" OnClientClick="return confirm('Are you sure you want to delete this product page?');" OnClick="btnDelete_Click" />
    </div>
</asp:Content>

