<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="FindPage.aspx.cs" Inherits="Admin_FindPage" Title="Find A Page" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; Find A Page
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <div style="width: 690px">
        <h3>Search: "<%= Request["query"] %>"</h3>
    
        <h2>Categories</h2>
        <asp:GridView ID="gvCategoryPages" runat="server" AutoGenerateColumns="false" GridLines="None" EmptyDataText="No results." ShowHeader="false">
            <Columns>
                <asp:HyperLinkField DataTextField="CanonicalName" DataNavigateUrlFields="CategoryID" DataNavigateUrlFormatString="EditCategory.aspx?CategoryID={0}" />
            </Columns>
        </asp:GridView>

        <h2>Products</h2>
        <asp:GridView ID="gvProductPages" runat="server" AutoGenerateColumns="false" GridLines="None" EmptyDataText="No results." ShowHeader="false">
            <Columns>
                <asp:HyperLinkField DataTextField="Name" DataNavigateUrlFields="SelectorID" DataNavigateUrlFormatString="EditSelector_Basics.aspx?SelectorID={0}" />
            </Columns>
        </asp:GridView>
    </div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
</asp:Content>

