﻿ var req, ie=(window.ActiveXObject ? 1 : 0); 
 function xmlQuery(url,callback, el)
 {
	
	if(ie)
		{req=new ActiveXObject("Microsoft.XMLHTTP");}
	else
		{req=new XMLHttpRequest();}
		
	req.onreadystatechange = function (){
		if(req.readyState==4 && req.status==200)
			{callback(req,el);}
	};
	
	req.open("GET",url,true);
	
	if(ie)
		{req.send();}
	else
		{req.send(null);}
}

function simple_ajax(url,targetDiv)
{
    show_loading();
    xmlQuery(url,
             function(req, el) { if (req.responseText=="sessiontimeout") { window.location="Default.aspx"; } else {el.innerHTML = req.responseText; hide_loading(); } },
             document.getElementById(targetDiv));
}

function findPos(obj) {
	var curleft = curtop = 0;
	if (obj.offsetParent) {
		curleft = obj.offsetLeft
		curtop = obj.offsetTop
		while (obj = obj.offsetParent) {
			curleft += obj.offsetLeft
			curtop += obj.offsetTop
		}
	}
	return [curleft,curtop];
}

function show_loading()
{
    var rpc = document.getElementById("rightPanelContainer");
    rpc.style.opacity = 0.1;
    rpc.style.filter = 'alpha(opacity=10)';
    
    var pos = findPos(rpc);
    pos[0] += (rpc.offsetWidth-100)/2;
    pos[1] += (rpc.offsetHeight-10)/2;
    
    var overlay = document.createElement("div");
    overlay.style.position = "absolute";
    overlay.style.left = pos[0] + "px";
    overlay.style.top = pos[1] + "px";
    overlay.innerHTML = "<img src='images/loading.gif' border='0'>";
    document.body.appendChild(overlay);    
}

function hide_loading()
{
    var rpc = document.getElementById("rightPanelContainer");
    rpc.style.opacity = 1;
    rpc.style.filter = 'alpha(opacity=100)';
    
    document.body.removeChild(document.body.lastChild);
}

function LoadSubWindow(targetpage)
{
    window.scroll(0,0);
    // first we want to hide all dropdowns in the page if its ie
    if (ie != null && ie)
    {
        var dds = document.getElementsByTagName("select");
        for(var i = 0; i < dds.length; i++)
            dds[i].style.display = "none";
    }
    

    var darkenDiv = document.getElementById("darkenDiv");
    var containerDiv = document.getElementById("containerDiv");
    var SubWindowFrame = document.getElementById("SubWindowFrame");

    if (!SubWindowFrame)
    {
	    darkenDiv = document.createElement('div');
	    darkenDiv.id = "darkenDiv";
	    darkenDiv.className = "darkenDiv";
	    document.body.appendChild(darkenDiv);
	    
	    containerDiv = document.createElement('div');
	    containerDiv.id = "containerDiv";
	    containerDiv.className = "containerDiv";
	    document.body.appendChild(containerDiv);
	    	    
	    SubWindowFrame = document.createElement('iframe');
	    SubWindowFrame.id = "SubWindowFrame";
	    SubWindowFrame.className = "SubWindowFrame";
	    SubWindowFrame.frameBorder = 0;
	    SubWindowFrame.allowTransparency = true;
	    containerDiv.appendChild(SubWindowFrame);
	    
	    var closebutton = document.createElement('div');
	    closebutton.className = "closebutton";
	    closebutton.innerHTML = "<a href='#' onClick=\"closeSubWindow(); return false;\">Close</a>";
	    containerDiv.appendChild(closebutton);
	}
    
    containerDiv.style.diaply = "block";
    darkenDiv.style.display = "block";
    SubWindowFrame.src = "SubWindows/" + targetpage;
}

function closeSubWindow()
{
    var darkenDiv = document.getElementById("darkenDiv");
    darkenDiv.style.display = "none";
    var containerDiv = document.getElementById("containerDiv");
    containerDiv.style.display = "none";
    document.forms[0].hdnJavascriptForcedPostback.value = "1";
    document.forms[0].submit();
}

function moneyFormat(textObj) {
   var newValue = textObj.value;
   var decAmount = "";
   var dolAmount = "";
   var decFlag = false;
   var aChar = "";
   
   // ignore all but digits and decimal points.
   for(i=0; i < newValue.length; i++) {
      aChar = newValue.substring(i,i+1);
      if(aChar >= "0" && aChar <= "9") {
         if(decFlag) {
            decAmount = "" + decAmount + aChar;
         }
         else {
            dolAmount = "" + dolAmount + aChar;
         }
      }
      if(aChar == ".") {
         if(decFlag) {
            dolAmount = "";
            break;
         }
         decFlag=true;
      }
   }
   
   // Ensure that at least a zero appears for the dollar amount.

   if(dolAmount == "") {
      dolAmount = "0";
   }
   // Strip leading zeros.
   if(dolAmount.length > 1) {
      while(dolAmount.length > 1 && dolAmount.substring(0,1) == "0") {
         dolAmount = dolAmount.substring(1,dolAmount.length);
      }
   }
   
   // Round the decimal amount.
   if(decAmount.length > 2) {
      if(decAmount.substring(2,3) > "4") {
         decAmount = parseInt(decAmount.substring(0,2)) + 1;
         if(decAmount < 10) {
            decAmount = "0" + decAmount;
         }
         else {
            decAmount = "" + decAmount;
         }
      }
      else {
         decAmount = decAmount.substring(0,2);
      }
      if (decAmount == 100) {
         decAmount = "00";
         dolAmount = parseInt(dolAmount) + 1;
      }
   }
   
   // Pad right side of decAmount
   if(decAmount.length == 1) {
      decAmount = decAmount + "0";
   }
   if(decAmount.length == 0) {
      decAmount = decAmount + "00";
   }
   
   // Check for negative values and reset textObj
   if(newValue.substring(0,1) != '-' ||
         (dolAmount == "0" && decAmount == "00")) {
      textObj.value = dolAmount + "." + decAmount;

   }
   else{
      textObj.value = '-' + dolAmount + "." + decAmount;
   }
}

function numberFormat(textObj) {
   var newValue = textObj.value;
   
   if(isNaN(newValue))
   {
       textObj.value = 0;
   }
}

/* categories page */
function toggleCategory(el, categoryid)
{
    var expanded = el.getAttribute("expanded");
    
    if (expanded == "true")
    {
        // toggle stuff
        var image = el.firstChild.firstChild;
        image.src = expandUrl;
        el.setAttribute("expanded", "false");
        
        // kill the children!  for they have stolen the golden goose.
        if (el.childNodes.length > 1)
        {
            el.removeChild(el.lastChild);
        }
    }
    else
    {
        // toggle stuff
        var image = el.firstChild.firstChild;
        image.src = collapseUrl;
        el.setAttribute("expanded", "true");
        
        // create a div to house the sort links
        var sortDiv = document.createElement("div");
        sortDiv.className = "sortDiv";
        
        // create a div to receive the content
        var contentDiv = document.createElement("div");
        contentDiv.className = "contentDiv";
        contentDiv.id = "div_" + categoryid;
        el.appendChild(contentDiv);
        simple_ajax("Ajax/CategoryExpansion.aspx?CategoryID=" + categoryid,contentDiv.id);
    }
}
