<%@ Page Language="C#" MasterPageFile="~/Subpage.master" AutoEventWireup="true" CodeFile="Browse.aspx.cs" Inherits="Browse" Title="Shop - Beauty Bundles" %>
<%@ Register TagPrefix="Controls" TagName="Pagination" Src="~/Controls/Pagination.ascx" %>
<%@ Register TagPrefix="Estore" Namespace="Estore" Assembly="__code" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentInnerArea" Runat="Server">
<table class="browseContent" cellpadding="0" cellspacing="0">
    <tr valign="top">
        <td class="padding">
            <!--<Estore:Breadcrumbs Runat="server" ID="Breadcrumbs1" BaseCategoryID="0" CategoryUrlFormatString="Browse.aspx/{0}/{1}" /> -->

                <asp:Panel ID="pnlAutoBrowse" runat="server">                                
                    <!--<asp:Literal ID="litTitle" runat="server"></asp:Literal>-->
                    
                    <WebBlocks:TextBlock ID="wbTitle" runat="server" />
                    
                    <table cellpadding="0" cellspacing="0" width="700" style="width:700px !important;">
                        <tr>
                            <td>
                                <Controls:Pagination ID="Pagination1" Runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div class="productListing">
                                    <asp:DataList ID="dlProducts" runat="server" RepeatColumns="3" RepeatDirection="Horizontal">
                                        <ItemStyle VerticalAlign="Top" />
                                        <ItemTemplate>
                                            <div class="productThumb" align="center">
                                                <a href="<%# Utilities.FormatProductUrl((int)Eval("CategorySelectorMapID"), (string)Eval("Name")) %>">
                                                    <img src="LiveImage.ashx?preset=small&img=ProductPhotos/<%# Eval("Photo") %>" CssClass="SmallPhoto" />
                                                </a>
                                                <b><%# Eval("Name") %></b>
                                                <br />
                                                <%# Eval("TextPrice") %>
                                            </div>
                                        </ItemTemplate>
                                    </asp:DataList>
                                </div>
                                <asp:Panel ID="pnlNoResults" runat="server" Visible="false">
                                </asp:Panel>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <Controls:Pagination ID="Pagination2" Runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:DataList ID="dlSubCategories" runat="server" Visible="False" OnItemDataBound="dlSubCategories_ItemDataBound">
                                    <ItemTemplate>
                                        <div class="subcategory_header">
                                            <a href="<%# Utilities.FormatCategoryUrl((int)Eval("CategoryID"), (string)Eval("CategoryName")) %>"><%# Eval("CategoryName") %></a>
                                            <span class="moreItems"><a href="<%# Utilities.FormatCategoryUrl((int)Eval("CategoryID"), (string)Eval("CategoryName")) %>">More &gt;&gt;</a></span>
                                        </div>
                                        
                                        <div class="subcategory_products">
                                            <asp:DataList ID="dlSubCategoryProducts" runat="server" RepeatColumns="3" RepeatDirection="Horizontal">
                                                <ItemStyle VerticalAlign="Top" />
                                                <ItemTemplate>
                                                    <div class="product" align="center">
                                                        <a href="<%# Utilities.FormatProductUrl((int)Eval("CategorySelectorMapID"), (string)Eval("Name")) %>">
                                                            <img src="LiveImage.ashx?preset=small&img=ProductPhotos/<%# Eval("Photo") %>" border="0" />
                                                        </a>
                                                        <br />
                                                        <a href="<%# Utilities.FormatProductUrl((int)Eval("CategorySelectorMapID"), (string)Eval("Name")) %>">
                                                            <b><%# Eval("SKU") %></b>
                                                            <div>
                                                            <%# Eval("Name") %>
                                                            <br />
                                                            <%# Eval("TextPrice") %>
                                                            </div>
                                                        </a>
                                                    </div>
                                                </ItemTemplate>
                                            </asp:DataList>
                                        </div>
                                    </ItemTemplate>
                                </asp:DataList>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <WebBlocks:TextBlock BlockTitle="Default Browse Page" ID="tbCategoryLanding" runat="server" Visible="false" />
        </td>
    </tr>
</table>
</asp:Content>

