<%@ Control Language="C#" AutoEventWireup="true" CodeFile="NewAccount.ascx.cs" Inherits="Controls_NewAccount" %>

<table cellpadding="0" cellspacing="5">
    <tr>
        <td width="150">
            Email Address: </td>
        <td><asp:TextBox ID="txtEmailAddress" runat="Server" MaxLength="255" CssClass="inputBox" /></td><td><asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage=" Required" ValidationGroup="NewAccount" ControlToValidate="txtEmailAddress" Display="Dynamic"></asp:RequiredFieldValidator></td>
    </tr>
    <tr>
        <td>Password: </td>
        <td><asp:TextBox ID="txtPassword" runat="server" MaxLength="255" TextMode="Password" CssClass="inputBox" /></td><td><asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage=" Required" ValidationGroup="NewAccount" ControlToValidate="txtPassword" Display="Dynamic"></asp:RequiredFieldValidator></td>
    </tr>
    <tr>
        <td>Password (re-type): </td>
        <td><asp:TextBox ID="txtPasswordConfirm" runat="server" MaxLength="255" TextMode="Password" CssClass="inputBox" /></td><td><asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage=" Required" ValidationGroup="NewAccount" ControlToValidate="txtPasswordConfirm" Display="Dynamic"></asp:RequiredFieldValidator></td>
    </tr>
    <tr>
        <td colspan="2" align="right">
            <div align="center">
                <asp:RegularExpressionValidator ID="regexEmail" runat="server" ControlToValidate="txtEmailAddress" EnableClientScript="False" ErrorMessage="Invalid email address." ValidationGroup="NewAccount" />
            </div>
            <div align="center">
                <asp:CompareValidator ID="cmpPassword" EnableClientScript="false" runat="server" ControlToValidate="txtPassword" ControlToCompare="txtPasswordConfirm" Display="Dynamic" ErrorMessage="Passwords do not match." ValidationGroup="NewAccount" Operator="Equal" />
            </div>
            <div align="center">
                <asp:Label ID="lblError" runat="server" ForeColor="red"></asp:Label>
            </div>
            <asp:ImageButton ID="imgLogin" runat="server" AlternateText="Create Account" ImageAlign="AbsMiddle" ImageUrl="~/images/createaccount.gif" OnClick="imgLogin_Click" ValidationGroup="NewAccount" />
        </td>
        <td></td>
    </tr>
</table>