<%@ Page Language="C#" MasterPageFile="~/Subpage.master" AutoEventWireup="true" CodeFile="Salon-Spas.aspx.cs" Inherits="Salon_Spas" Title="Salon Spa - Beauty Bundles" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentInnerArea" Runat="Server">
<table class="paddedContent" cellpadding="0" cellspacing="0">
    <tr valign="top">
        <td>
            <WebBlocks:TextBlock ID="TextBlock3" BlockTitle="Salon Spa - Text" runat="server" />
        </td>
    </tr>
    <tr>
        <td>
            <table cellpadding="3" cellspacing="3">
                <tr>
                    <td colspan="2"><asp:Literal id="litStatus" runat="Server"></asp:Literal></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>First Name:</td>
                    <td><asp:TextBox runat="Server" ID="txtFirstName" Width="255"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="txtFirstName" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>Last Name:</td>
                    <td><asp:TextBox runat="Server" ID="txtLastName" Width="255"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="txtLastName" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>Email Address:</td>
                    <td><asp:TextBox runat="Server" ID="txtEmail" Width="255"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="txtEmail" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>Address Line 1:</td>
                    <td><asp:TextBox runat="Server" ID="txtAddressLine1" Width="255"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="txtAddressLine1" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td>Address Line 2:</td>
                    <td><asp:TextBox runat="Server" ID="txtAddressLine2" Width="255"></asp:TextBox></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>City:</td>
                    <td><asp:TextBox runat="Server" ID="txtCity" Width="255"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="txtCity" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>State:</td>
                    <td><asp:DropDownList runat="Server" ID="ddlStates" Width="255"></asp:DropDownList><asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="ddlStates" ErrorMessage=" (Required)" InitialValue="" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>Zip:</td>
                    <td><asp:TextBox runat="Server" ID="txtZip" Width="255"></asp:TextBox><asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage=" (Enter 5 digit zip codes only)" Display="Dynamic" ValidationExpression="\d{5}" ControlToValidate="txtZip"></asp:RegularExpressionValidator><asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="txtZip" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator><asp:CompareValidator ID="CompareValidator1" ControlToValidate="txtZip" Operator="DataTypeCheck" Type="Integer" runat="server" ErrorMessage=" (Please enter a valid zip code)"></asp:CompareValidator></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>Phone:</td>
                    <td><asp:TextBox runat="Server" ID="txtPhone" Width="255"></asp:TextBox></td>
                </tr>
                <tr>
                    <td><span style="color:Red;">*</span>Comments:</td>
                    <td><asp:TextBox runat="Server" ID="txtComments" Height="100px" TextMode="multiline" Width="255"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="txtComments" ErrorMessage=" (Required)" Display=dynamic></asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td></td>
                    <td><asp:Button runat="server" ID="btnSubmit" Text="Sign Up" CausesValidation="true" OnClick="btnSubmit_OnClick" /></td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</asp:Content>

