using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Ajax_AddDocument : AjaxWindowBase
{
    private string ParentScript = "";

    protected override void OnInit(EventArgs e)
    {
        this.fileUpload.FileUploaded += new EventHandler(filePhotoUpload_FileUploaded);
        base.OnInit(e);
    }

    void filePhotoUpload_FileUploaded(object sender, EventArgs e)
    {
        ParentScript = "oEditor.InsertHtml(\"<a target='_blank' href='" + RelativePath + "/Resources/Documents/" + fileUpload.Filename + "'>[" + (fileUpload.Filename.StartsWith("[") ? fileUpload.Filename.Remove(0,5) : fileUpload.Filename) + "]</a>\");";
        fileUpload.Filename = "";
    }

    protected override void Render(HtmlTextWriter writer)
    {
        if (ParentScript.Length > 0)
        {
            writer.Write("<script>window.parent.runscript(\"");
            writer.Write(ParentScript.Replace("\"","\\\""));
            writer.Write("\");\nwindow.parent.clearConfigWindows();\n</script>");
        }
        else
            base.Render(writer);
    }

}
