<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderContents.ascx.cs" Inherits="Admin_Controls_OrderContents" %>

<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            <asp:GridView ID="gvOrderContents" runat="server" GridLines="None" AutoGenerateColumns="false" CssClass="OrderContents" CellPadding="3" CellSpacing="0">
                <Columns>
                    <asp:BoundField DataField="Quantity" HeaderText="Quantity" HeaderStyle-CssClass="quantity" />
                    <asp:BoundField DataField="SKU" HeaderText="SKU" HtmlEncode="false" />
                    <asp:BoundField DataField="ItemName" HeaderText="Item Name" HeaderStyle-CssClass="productname" HtmlEncode="false" />
                    <asp:BoundField DataField="Price" DataFormatString="{0:c}" HeaderText="Unit Price" HeaderStyle-CssClass="unitprice" HtmlEncode="false" />
                    <asp:BoundField DataField="Cost" DataFormatString="{0:c}" HeaderText="Cost" HeaderStyle-CssClass="cost" HtmlEncode="false" HeaderStyle-Width="60px" ItemStyle-Width="60px" />
                </Columns>
            </asp:GridView>
        </td>
    </tr>
    <tr>
        <td align="right">
            <table cellpadding="3" cellspacing="0">
                <tr>
                    <td style="width: 200px">Sub Total:</td>
                    <td style="width: 60px"><asp:Literal ID="litSubTotal" runat="server" /></td>
                </tr>
                <asp:Repeater ID="rptDiscounts" runat="server">
                    <ItemTemplate>
                    <tr>
                        <td style="width: 200px">Discount (<%# Eval("DiscountName") %>):</td>
                        <td style="width: 60px"><%# Eval("DiscountAmount", "{0:C}") %></td>
                    </tr>                
                    </ItemTemplate>
                </asp:Repeater>
                <tr>
                    <td style="width: 200px">Sales Tax:</td>
                    <td style="width: 60px"><asp:Literal ID="litSalesTax" runat="server" /></td>
                </tr>
                <tr>
                    <td style="width: 200px">Shipping (<asp:Literal ID="litShippingMethod" runat="server" />):</td>
                    <td style="width: 60px"><asp:Literal ID="litShippingAmount" runat="server" /></td>
                </tr>
                <tr>
                    <td style="width: 200px">Total:</td>
                    <td style="width: 60px"><asp:Literal ID="litAmount" runat="server" /></td>
                </tr>
            </table>
        </td>
    </tr>
</table>
