<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="EditVolumePricingTable.aspx.cs" Inherits="Admin_EditVolumePricingTable" Title="Edit Volume Pricing Table" %>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="VolumePricingTables.aspx">Volume Pricing Tables</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditVolumePricingTable.aspx">New Volume Pricing Table</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Breadcrumbs" Runat="Server">
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Add/Edit Volume Pricing Table</h1>
    
    
    <div style="width: 690px">
        <table>
            <tr>
                <td style="width: 100px">Name:</td>
                <td><asp:TextBox ID="txtName" runat="server" /></td>
            </tr>
            <tr>
                <td>Table:</td>
                <td>
                    <asp:GridView ID="gvVolume" runat="server" GridLines="None" AutoGenerateColumns="false" OnRowCommand="gvVolume_RowCommand" DataKeyNames="VolumePricingTableItemID">
                        <Columns>
                            <asp:ButtonField ButtonType="Image" ImageUrl="~/Admin/images/delete.gif" CommandName="del" />
                            <WebBlocks:TextBoxField HeaderText="Quantity<div style='font-size: 8pt; font-weight: normal;'>(X or more)</div>" DataField="Quantity" ItemStyle-Width="100px" />
                            <WebBlocks:TextBoxField HeaderText="Price<div style='font-size: 8pt; font-weight: normal;'>(per unit)</div>" DataField="Price" ItemStyle-Width="100px" />
                        </Columns>
                    </asp:GridView>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:LinkButton ID="lbAdd" runat="server" Text="Add Another Quantity" OnClick="lbAdd_Click" />
                </td>
            </tr>
            <tr>
                <td></td>
                <td>
                    <asp:Button ID="btnCancel" runat="server" Text="Cancel" OnClick="btnCancel_Click" />
                    <asp:Button ID="btnDelete" runat="server" Text="Delete" OnClick="btnDelete_Click" OnClientClick="return confirm('Are you sure you want to delete this volume pricing table?  Any items that depend on it will be reverted to their original prices, or $0 if there was no original price.')" />
                    <asp:Button ID="btnSave" runat="server" Text="Save" OnClick="btnSave_Click" />
                </td>
            </tr>
        </table>
    </div>
    
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
</asp:Content>

