using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_FindPage : WebBlocks.AdministrativePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            if (Request["query"] != null)
            {
                Search(Request["query"]);
            }
        }
    }

    private void Search(string SearchText)
    {
        DataTable dt = Database.Categories_Search('%' + SearchText + '%');
        gvCategoryPages.DataSource = dt;
        gvCategoryPages.DataBind();

        dt = Database.Selectors_Search("%", '%' + SearchText + '%');
        gvProductPages.DataSource = dt;
        gvProductPages.DataBind();
    }
}
