<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="ManageAttributes.aspx.cs" Inherits="Admin_ManageAttributes" Title="Product Attributes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="ManageAttributes.aspx">Manage Attributes</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditAttributeGroup.aspx">Add An Attribute Group</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditAttribute.aspx">Add An Attribute</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Breadcrumbs" Runat="Server">
    <div class="panel breadcrumb">
        Home &gt; <a href="ManageAttributes.aspx">Manage Attributes</a>
    </div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Content" Runat="Server">

    <div style="width: 690px">
        
        <h1>Attribute Groups</h1>
        
        <asp:GridView ID="gvAttributeGroups" runat="server" AutoGenerateColumns="False" GridLines="None" DataKeyNames="AttributeGroupID" OnRowCommand="gvAttributeGroups_RowCommand" OnRowDataBound="gvAttributeGroups_RowDataBound">
            <Columns>
                <asp:BoundField DataField="GroupName" HeaderText="Name" ItemStyle-Width="400px" />
                <asp:HyperLinkField Text="[edit]" DataNavigateUrlFields="AttributeGroupID" DataNavigateUrlFormatString="EditAttributeGroup.aspx?AttributeGroupID={0}" ItemStyle-Width="100px" />
                <asp:ButtonField ButtonType="Link" CommandName="del" Text="[delete]" ItemStyle-Width="100px" />
            </Columns>
        </asp:GridView>
        
        <div class="divider">&nbsp;</div>
        
        <h1>Attributes</h1>
        
        <asp:GridView ID="gvAttributes" runat="server" AutoGenerateColumns="False" GridLines="None" DataKeyNames="AttributeID" OnRowCommand="gvAttributes_RowCommand" OnRowDataBound="gvAttributes_RowDataBound">
            <Columns>
                <asp:BoundField DataField="GroupName" HeaderText="Attribute Group" ItemStyle-Width="200px" />
                <asp:BoundField DataField="Name" HeaderText="Attribute" ItemStyle-Width="200px" />
                <asp:HyperLinkField Text="[edit]" DataNavigateUrlFields="AttributeID" DataNavigateUrlFormatString="EditAttribute.aspx?AttributeID={0}" ItemStyle-Width="100px" />
                <asp:ButtonField ButtonType="Link" CommandName="del" Text="[delete]" ItemStyle-Width="100px" />
            </Columns>
        </asp:GridView>
        
    </div>

</asp:Content>

