<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="OrderWizard_Capture.aspx.cs" Inherits="Admin_OrderWizard_Capture" Title="Capture Funds Wizard" %>
<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="Content" Runat="Server">
    <h1>Capture Funds Wizard</h1>

    <asp:Wizard ID="wizShip" runat="Server" OnNextButtonClick="wizShip_NextButtonClick" OnFinishButtonClick="wizShip_FinishButtonClick">    
        <WizardSteps>
            <asp:WizardStep runat="server" StepType="Step" AllowReturn="False">
                The payment for this order has not yet been captured/settled.<br /><br />
                <asp:Literal ID="litCapture" runat="server" />
                <asp:Button runat="server" ID="btnFinish" Visible="false" text="Continue Anyway" OnClick="btnFinish_Click"/>
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Finish">
                The capture funds wizard is now complete.  Click "Finish" to return to the order details page.
            </asp:WizardStep>
        </WizardSteps>
        <StepNavigationTemplate>
            <asp:Button ID="StepPreviousButton" runat="server" CausesValidation="False" Text="Cancel" OnClick="StepPreviousButton_Click" />
            <asp:Button ID="StepNextButton" runat="server" Text="Capture Funds" OnClick="StepNextButton_Click" />
            
        </StepNavigationTemplate>
        <NavigationStyle HorizontalAlign="left" />
    </asp:Wizard>

</asp:Content>

