<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="OrderWizard_Complete.aspx.cs" Inherits="Admin_OrderWizard_Complete" Title="Order Completion Wizard" %>
<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="Content" Runat="Server">
    <h1>Complete Order Wizard</h1>

    <asp:Wizard ID="wizShip" runat="Server" OnNextButtonClick="wizShip_NextButtonClick" OnFinishButtonClick="wizShip_FinishButtonClick">    
        <WizardSteps>
            <asp:WizardStep runat="server" StepType="Start" AllowReturn="False">
                The payment for this order has not yet been finalized.  Click the button below to finalize payment.
                <br />
                <br />
                <asp:Button ID="btnCapture" runat="server" Text="Finalize Payment" OnClick="btnCapture_Click" />
                <br />
                <br />
                <asp:Literal ID="litCapture" runat="server" />
                <br />
                <br />
                
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Step" AllowReturn="true">
                If you are shipping, enter the tracking number of the shipment below for your records.
                <br />
                <table>
                    <tr>
                        <td>Tracking Number:</td>
                        <td><asp:TextBox ID="txtTrackingNumber" runat="Server" MaxLength="255" /></td>
                    </tr>
                </table>
            </asp:WizardStep>
            <asp:WizardStep runat="Server" StepType="Step" AllowReturn="true">
                If you'd like to send an email to your customer informing them that their product has shipped, you can do so now.  Use the field below to specify any additional comments.
                <br />
                <br />
                <asp:CheckBox ID="chkSendEmail" runat="server" Text="Send customer a completion receipt email" Checked="true" />
                Comments:
                <table>
                    <tr>
                        <td><asp:TextBox ID="txtComments" runat="Server" TextMode="MultiLine" Width="500px" Height="300px" /></td>
                    </tr>
                </table>              
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Finish">
                The order completion wizard is now complete.  Click "Finish" to return to your order.
            </asp:WizardStep>
        </WizardSteps>
    </asp:Wizard>

</asp:Content>

