using System;
using System.Data;

using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_OrderWizard_Delay : WebBlocks.AdministrativePage
{
    private int OrderID
    {
        get { return (ViewState["OrderID"] == null ? 0 : (int)ViewState["OrderID"]); }
        set { ViewState["OrderID"] = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            OrderID = Int32.Parse(Request["OrderID"]);

            DataRow dr = Database.Orders_GetByOrderID(OrderID);
            txtComments.Text = (dr["AdminComments"] != null ? (string)dr["AdminComments"] : "");
        }
    }

    protected void wizDelay_FinishButtonClick(object sender, WizardNavigationEventArgs e)
    {
        Database.Orders_UpdateForProcessing(OrderID, txtComments.Text, null, 6, null, null);

        Response.Redirect("EditOrder.aspx?OrderID=" + OrderID.ToString());
    }
}
