<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="OrderWizard_Refund.aspx.cs" Inherits="Admin_OrderWizard_Refund" Title="Order Refund Wizard" %>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Refund Order</h1>

    <asp:Wizard ID="wizRefund" runat="Server" ActiveStepIndex="0" OnFinishButtonClick="wizDelay_FinishButtonClick">
        <WizardSteps>
            <asp:WizardStep runat="server" StepType="Start" AllowReturn="False">
                Please enter the amount that you would like to refund below.  The textbox below reflects the maximum amount that can be refunded at this time.  If you attempt to increase this number, your payment processor may reject the refund.
                <br />
                <br />
                Refund Amount: $<asp:TextBox ID="txtRefundAmount" runat="server" />
                <br />
                <br />
                <asp:Button ID="btnRefund" runat="server" Text="Refund" OnClick="btnRefund_Click" />
                <br />
                <br />
                <asp:Literal ID="litRefund" runat="server" />
                <br />
                <br />
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Step">
                Please update your internal comments for this order.<br />
                <br />
                <br />
                <asp:TextBox ID="txtComments" runat="server" TextMode="MultiLine" Width="500px" Height="300px" />
            </asp:WizardStep>
            <asp:WizardStep runat="server" StepType="Finish">
                Click finish below to complete the wizard.
            </asp:WizardStep>
        </WizardSteps>
    </asp:Wizard>

</asp:Content>

