<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="Orders.aspx.cs" Inherits="Admin_Orders" Title="Orders" %>
<%@ Register TagPrefix="AdminControls" Namespace="AdminControls" Assembly="__code" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="Orders.aspx">Newest Orders</a>
    </div>
</asp:Content>

<asp:Content ContentPlaceHolderID="LeftNavBar" Runat="server">
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="Orders.aspx">Newest Orders</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="SearchOrders.aspx">Search Orders</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">
    <div style="width: 690px">
        
        <AdminControls:SearchAndPage ID="spOrders" runat="server" TargetGridViewID="gvOrders" OnGetInputControl="spOrders_GetInputControl" OnRetrieveData="spOrders_RetrieveData" Visible="False" />
    
        <asp:GridView ID="gvOrders" runat="server" AllowSorting="True" AllowPaging="True" GridLines="None" AutoGenerateColumns="False" EmptyDataText="Sorry! No new orders." PageSize="20" PagerSettings-Mode="NumericFirstLast">
            <HeaderStyle Font-Bold="true" />
            <AlternatingRowStyle BackColor="#FFFFFF" />
            <Columns>   
                <asp:BoundField DataField="OrderID" HeaderText="ID" SortExpression="OrderID" ItemStyle-Width="60px" />
                <asp:HyperLinkField DataNavigateUrlFields="OrderID" DataNavigateUrlFormatString="EditOrder.aspx?OrderID={0}" DataTextField="CombinedName" HeaderText="Customer" SortExpression="CombinedName" ItemStyle-Width="300px" />
                <asp:BoundField DataField="StatusName" HeaderText="Status" SortExpression="StatusName" ItemStyle-Width="100px" />
                <asp:BoundField DataField="TimeStamp" DataFormatString="{0:d}" HeaderText="Received" SortExpression="TimeStamp" ItemStyle-Width="100px" HtmlEncode="false" />
            </Columns>
        </asp:GridView>
    </div>
</asp:Content>

