<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="StorePages.aspx.cs" Inherits="StorePages" Title="Store Pages" %>
<%@ Register TagPrefix="Controls" TagName="PageHierarchy" Src="~/Admin/Controls/PageHierarchy.ascx" %>

<asp:Content ContentPlaceHolderID="Breadcrumbs" runat="server">
    <div class="panel breadcrumb">
        Home &gt; <a href="StorePages.aspx">Store Pages</a>
    </div>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="LeftNavBar" Runat="Server">
    <div class="panel_selected">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="StorePages.aspx">Store Pages</a>
            </th>
        </tr>
        </table>
    </div>
    <div class="panel">
        <table class="sidePanel" cellpadding="1" cellspacing="0">
        <tr>
            <th>
                <a href="EditCategory.aspx">New Category Page</a>
            </th>
        </tr>
        </table>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Content" Runat="Server">
    
    <div class="categorydatabasewrapper">
        <Controls:PageHierarchy Runat="Server" ID="PageHierarchy1" />
        
        <asp:Panel ID="pnlOrphans" runat="server" Visible="False">
            <br />
            <div><b>Pages without a category</b></div>
        
            <asp:DataList ID="dlOrphans" runat="server" CellPadding="2" CellSpacing="0">
                <ItemTemplate>
                    <a href="EditSelector_Basics.aspx?SelectorID=<%# Eval("SelectorID") %>"><%# Eval("Name") %></a>
                </ItemTemplate>
            </asp:DataList>
        
        </asp:Panel>
        
    </div>
    
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="AdditionalPanels" Runat="Server">
</asp:Content>

