using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace ConfigurationControls
{
    public class ConfigPasswordBox : TextBox, IConfigurationControl
    {
        public override TextBoxMode TextMode
        {
            get
            {
                return TextBoxMode.SingleLine;
            }
            set
            {
                // cant be set
            }
        }
        private string _Variable = "";
        public string Variable
        {
            get { return _Variable; }
            set { _Variable = value; }
        }

        private bool _Required = false;
        public bool Required
        {
            get { return _Required; }
            set { _Required = value; }
        }

        public string SavedValue
        {
            get { return (string)ViewState["SavedValue"]; }
            set { ViewState["SavedValue"] = value; }
        }

        public string FieldValue
        {
            get
            {
                if (this.Text.Equals("****************"))
                    return SavedValue;
                else
                    return this.Text;
            }
            set
            {
                this.SavedValue = value;
                this.Text = "****************";
            }
        }
    }
}