using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Estore
{
    public class LogInLink : WebBlocksControl
    {
        protected override void Render(HtmlTextWriter writer)
        {
            if (WebBlockPage.CustomerInfo != null)
            {
                writer.Write("<a href=\"" + ResolveUrl("~/MyAccount.aspx") + "\">My Account</a>");
                writer.Write(" | ");
                writer.Write("<a href=\"" + ResolveUrl("~/LogOut.aspx") + "\">Log Out</a>");
            }
            else
                writer.Write("<a href=\"" + ResolveUrl("~/LogIn.aspx") + "\">Log In</a>");
        }
    }
}