using System;
using System.Collections;
using System.Data;

using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Text;
using System.ComponentModel;

namespace WebBlocks
{
	public class AdministrativePage : WebBlockPage
	{
		// connect to database
		protected override void OnInit(EventArgs e)
		{
            if (!User.Identity.IsAuthenticated)
                FormsAuthentication.RedirectToLoginPage();
            else
                Session["WebBlocksEditFlag"] = true;

            this.HideOverlayMenu = true;
            base.OnInit (e);
		}
	}
}
