using System;
using System.Data;

using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public class WebBlockUserControl : System.Web.UI.UserControl
{
    public WebBlockPage WebBlockPage
    {
        get { return (WebBlockPage)base.Page; }
    }

    public DatabaseClass Database
    {
        get { return ((WebBlockPage)base.Page).Database; }
    }

    protected ShoppingCart ShoppingCart
    {
        get
        {
            return ((WebBlockPage)base.Page).ShoppingCart;
        }
    }

    protected CustomerInfo CustomerInfo
    {
        get
        {
            return ((WebBlockPage)base.Page).CustomerInfo;
        }
        set
        {
            ((WebBlockPage)base.Page).CustomerInfo = value;
        }
    }
}
