<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ImageView.ascx.cs" Inherits="Controls_ImageView" %>

<script>
function swapImg(pName,caption,psID)
{
	document.getElementById("imgBig").src = "LiveImage.ashx?preset=medium&img=ProductPhotos/" + pName;
	document.getElementById("imgCaption").innerHTML = caption;
	document.getElementById("aLargerView").href = "EnlargePhoto.aspx?PhotoSetID=" + psID;
}

function showEnlargeOverlay()
{
	document.getElementById("enlargeOverlay").style.display = "block";
}

function hideEnlargeOverlay()
{
	document.getElementById("enlargeOverlay").style.display = "none";
}
</script>

<table cellpadding="0" cellspacing="0" class="ImageView">
	<tr>
		<td align="center" class="largeImg">
			<img class="MediumPhoto" src="LiveImage.ashx?preset=medium&img=ProductPhotos/<%= DefaultPhoto %>" border="0" id="imgBig">
			<br />
			<a href="EnlargePhoto.aspx?PhotoSetID=<%= DefaultPhotoSetID %>" id="aLargerView" target="_blank">Enlarge Photo</a>
			<div id="imgCaption"><%= DefaultCaption %></div>
		</td>
	</tr>
	<tr>
		<td>
		    <br /><br />
		    <div class="morePhotos">More Photos:</div>
		    <asp:Repeater ID="rptThumbs" runat="server" OnItemDataBound="rptThumbs_ItemDataBound">
		        <ItemTemplate>
		            <div class="viewThumbnail"><asp:ImageButton runat="server" ID="imgThumbnail" /></div>
		        </ItemTemplate>
		    </asp:Repeater>
		</td>
	</tr>
</table>