<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Payment.ascx.cs" Inherits="Controls_Payment" %>

<div>
    <asp:CustomValidator ID="custPayment" runat="server" Display="Dynamic" OnServerValidate="custPayment_ServerValidate" />
</div>

<table width="100%" cellpadding="0" cellspacing="0">
    <asp:Panel ID="pnlCreditCard" runat="server" Visible="false">
    <tr valign="top">
        <td><asp:RadioButton ID="rbCreditCard" runat="server" Checked="true" GroupName="payment" /></td>
        <td>
            <b>Credit Card</b>
            <table>
                <tr valign="top">
                    <td><font color="red">*</font>Card Type:</td>
                    <td>
                        <asp:DropDownList ID="ddlCardType" runat="Server" CssClass="inputBox" />
                    </td>
                </tr>
                <tr>
                    <td><asp:RequiredFieldValidator ControlToValidate="txtCardNumber" ID="reqCardNumber" runat="server" Display="Dynamic" ValidationGroup="creditcard">*</asp:RequiredFieldValidator><font color="red">*</font>Card Number:</td>
                    <td><asp:TextBox ID="txtCardNumber" runat="Server" MaxLength="18" CssClass="inputBox" /></td>
                </tr>
                <tr>
                    <td><asp:CustomValidator ID="custExpDate" runat="server" OnServerValidate="custExpDate_ServerValidate" Display="Dynamic" ValidationGroup="creditcard">*</asp:CustomValidator><font color="red">*</font>Expiration Date:</td>
                    <td>
                        <asp:DropDownList ID="ddlExpMonth" runat="Server"/>&nbsp;&nbsp;
                        <asp:DropDownList ID="ddlExpYear" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td><asp:RequiredFieldValidator ControlToValidate="txtSecurityCode" ID="reqSecurityCode" runat="server" Display="Dynamic" ValidationGroup="creditcard">*</asp:RequiredFieldValidator><font color="red">*</font>Security Code:</td>
                    <td><asp:TextBox ID="txtSecurityCode" runat="Server" MaxLength="4" CssClass="securityCode" /></td>
                </tr>
            </table>
        </td>
    </tr>
    </asp:Panel>
    <asp:Panel ID="pnlPurchaseOrder" runat="server" Visible="false">
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
    <tr valign="top">
        <td>
            <asp:RadioButton ID="rbPurchaseOrder" runat="server" Checked="false" GroupName="payment" />
        </td>
        <td>
            <b>Purchase Order</b>
            <table>
                <tr valign="top">
                    <td>
                        PO Number:
                    </td>
                    <td>
                        <asp:TextBox ID="txtPONumber" runat="server" MaxLength="255" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>        
    </asp:Panel>
</table>