<%@ Control Language="C#" AutoEventWireup="true" CodeFile="List.ascx.cs" Inherits="Controls_Selectors_List" %>
<%@ Register TagPrefix="Custom" TagName="ImageView" Src="~/Controls/ImageView.ascx" %>
<%@ Register TagPrefix="Custom" TagName="RelatedProducts" Src="~/Controls/RelatedProducts.ascx" %>
<%@ Register TagPrefix="Estore" Namespace="Estore" Assembly="__code" %>

<table width="100%" cellpadding="0" cellspacing="0">
    <tr valign="top">
        <td>
            <Custom:ImageView ID="ImageView1" runat="Server" />
        </td>
        <td style="width: 20px;">&nbsp;</td>
        <td style="width: 295px">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td class="categoryTitle"><asp:Literal ID="litProductName" runat="server" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td>
                        <b>Price: </b>See Below
                        <!--<asp:Literal ID="litSKU" runat="server" />-->
                    </td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td class="description"><%= Description %></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td><Estore:SelectorCustomization ID="SelectorCustomization1" runat="server" /></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvItems" runat="server" GridLines="None" AutoGenerateColumns="false" OnRowCommand="gvItems_RowCommand" CellPadding="2" DataKeyNames="ItemID" OnRowDataBound="gvItems_RowDataBound" CssClass="gridBox">
                            <HeaderStyle HorizontalAlign="Left" CssClass="purchaseChoice" />
                            <Columns>
                                <asp:TemplateField HeaderText="Name" ItemStyle-Width="376px">
                                    <ItemTemplate><asp:Literal ID="litName" runat="server" EnableViewState="false"></asp:Literal></ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="Price" DataFormatString="{0:c}" HeaderText="Price" HtmlEncode="false" ItemStyle-Width="70px" HeaderStyle-HorizontalAlign="Center" />
                                <asp:TemplateField HeaderText="Qty." ItemStyle-Width="40px" HeaderStyle-HorizontalAlign="Center">
                                    <ItemTemplate><center><asp:TextBox ID="txtQuantity" runat="server" Width="20px" Text="1" /></center></ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField ItemStyle-Width="80px">
                                    <ItemTemplate><asp:ImageButton ID="ImageButton1" ImageUrl="~/images/buy2.gif" CommandName="buy" runat="server" CommandArgument='<%# Eval("ItemID") %>' /></ItemTemplate>
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="3">
            <Custom:RelatedProducts ID="RelatedProducts1" runat="server" />        
        </td>
    </tr>
</table>