<%@ Page Language="C#" MasterPageFile="~/Subpage.master" AutoEventWireup="true" CodeFile="MyAccount.aspx.cs" Inherits="MyAccount" Title="My Account" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentInnerArea" Runat="Server">
<table class="paddedContent" cellpadding="0" cellspacing="0">
    <tr valign="top">
        <td>
            <img src="images/page-hdr-my-account.gif" alt="My Account" /><br /><br />
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td><h1>Change Your Password</h1></td>
                </tr>
                <tr>
                    <td>
                        <table>
                            <tr>
                                <td>Current Password:</td>
                                <td><asp:TextBox ID="txtCurrentPassword" runat="server" TextMode="Password" /></td>
                            </tr>
                            <tr>
                                <td>New Password:</td>
                                <td><asp:TextBox ID="txtNewPassword" runat="server" TextMode="Password" /></td>
                            </tr>
                            <tr>
                                <td>New Password (again):</td>
                                <td><asp:TextBox ID="txtNewPasswordConfirm" runat="server" TextMode="Password" /></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td>
                                    <div>
                                        <asp:RequiredFieldValidator ID="reqCurrentPassword" runat="server" ControlToValidate="txtCurrentPassword" Display="Dynamic" ErrorMessage="Current password is required." ValidationGroup="pass" />
                                    </div>
                                    <div>
                                        <asp:RequiredFieldValidator ID="reqNewPassword" runat="server" ControlToValidate="txtNewPassword" Display="Dynamic" ErrorMessage="New password is required." ValidationGroup="pass" />
                                    </div>
                                    <div>
                                        <asp:CompareValidator ID="cmpPassword" runat="server" Display="Dynamic" ControlToCompare="txtNewPasswordConfirm" ControlToValidate="txtNewPassword" Operator="Equal" ErrorMessage="Passwords do not match." ValidationGroup="pass" />
                                    </div>
                                    <asp:Button ID="btnChangePassword" runat="server" Text="Change Password" OnClick="btnChangePassword_Click" ValidationGroup="pass" />
                                </td>
                            </tr>
                        </table>
                        
                    </td>
                </tr>
            </table>
            <br />
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td><h1>Shipping Addresses</h1></td>
                </tr>
                <tr>
                    <td>
                        <asp:RadioButtonList ID="rblShippingAddresses" runat="Server" />
                        <asp:Literal ID="litNoShippingAddresses" runat="Server" Visible="False">You currently have no shipping addresses on file.</asp:Literal>
                    </td>
                </tr>
                <% if (rblShippingAddresses.Items.Count > 0) { %>
                <tr>
                    <td align="right">
                        <div>
                            <asp:RequiredFieldValidator ID="reqShippingAddresses" runat="Server" ControlToValidate="rblShippingAddresses" ErrorMessage="Please select an address." Display="Dynamic" ValidationGroup="shipping" />
                        </div>
                        <asp:Button ID="btnDeleteShipping" runat="Server" Text="Delete" OnClick="btnDeleteShipping_Click" ValidationGroup="shipping" />
                    </td>
                </tr>
                <% } %>
            </table>
            <br />
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td><h1>Billing Addresses</h1></td>
                </tr>
                <tr>
                    <td>
                        <asp:RadioButtonList ID="rblBillingAddresses" runat="Server" />
                        <asp:Literal ID="litNoBillingAddresses" runat="Server" Visible="False">You currently have no billing addresses on file.</asp:Literal>
                    </td>
                </tr>
                <% if (rblShippingAddresses.Items.Count > 0) { %>
                <tr>
                    <td align="right">
                        <div>
                            <asp:RequiredFieldValidator ID="reqBillingAddresses" runat="Server" ControlToValidate="rblBillingAddresses" ErrorMessage="Please select an address." Display="Dynamic" ValidationGroup="billing" />
                        </div>
                        <asp:Button ID="btnDeleteBilling" runat="Server" Text="Delete" OnClick="btnDeleteBilling_Click" ValidationGroup="billing" />
                    </td>
                </tr>
                <% } %>
            </table>
            <br />
            <table width="100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td><h1>Track Orders</h1></td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="gvOrders" runat="server" GridLines="None" AutoGenerateColumns="false" CellPadding="5">
                            <Columns>
                                <asp:BoundField DataField="OrderID" HeaderText="Order ID" />
                                <asp:BoundField DataField="TimeStamp" HeaderText="Date Placed" DataFormatString="{0:MM/dd/yyyy}" HtmlEncode="False" />
                                <asp:BoundField DataField="Amount" HeaderText="Amount" DataFormatString="{0:c}" HtmlEncode="false" />
                                <asp:BoundField DataField="DateShipped" HeaderText="Shipping Date" NullDisplayText="--" />
                                <asp:BoundField DataField="TrackingNumber" HeaderText="Tracking Number" NullDisplayText="--" />
                                <asp:BoundField DataField="StatusName" HeaderText="Status" />
                            </Columns>
                        </asp:GridView>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</asp:Content>

