<%@ Page Language="C#" MasterPageFile="~/Content.master" AutoEventWireup="true" CodeFile="Search.aspx.cs" Inherits="Search" Title="Search" %>
<%@ Register TagPrefix="Controls" TagName="Pagination" Src="~/Controls/Pagination.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentArea" Runat="Server">

    <div class="contentCrystal">
        <a href="Default.aspx">Home</a> > <a href="Search.aspx">Search</a>
    </div>

    <h2>Search Results for "<%= Request["Query"] %>"</h2>

    <div style="clear: both">
        <asp:DataList ID="dlSubCategories" runat="server" Visible="False">
            <ItemTemplate>
                <div class="subcategory_header">
                    <a href="Browse.aspx/<%# Eval("CategoryID") %>/<%# Eval("CategoryName") %>"><%# Eval("CategoryName") %></a>
                </div>
            </ItemTemplate>
        </asp:DataList>
    </div>
    <table cellpadding="0" cellspacing="0">
        <tr>
            <td>
                <div class="pagination">
                    <Controls:Pagination ID="Pagination1" Runat="server" />
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div class="productListing">
                    <asp:DataList ID="dlProducts" runat="server" RepeatColumns="4" RepeatDirection="Horizontal">
                        <ItemTemplate>
                            <div class="product" align="center">
                                <a href="View.aspx/<%# Eval("CategorySelectorMapID") %>/<%# Eval("Name") %>">
                                    <img src="LiveImage.ashx?preset=small&img=ProductPhotos/<%# Eval("Photo") %>" CssClass="SmallPhoto" />
                                </a>
                                <br />
                                <a href="View.aspx/<%# Eval("CategorySelectorMapID") %>/<%# Eval("Name") %>">
                                    <%# Eval("Name") %>
                                    <br />
                                    <%# Eval("TextPrice") %>
                                </a>
                            </div>
                        </ItemTemplate>
                    </asp:DataList>
                    <asp:Panel ID="pnlNoResults" runat="server" Visible="False">No products matched your search.</asp:Panel>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <div class="pagination">
                    <Controls:Pagination ID="Pagination2" Runat="server" />
                </div>
            </td>
        </tr>
    </table>
    
</asp:Content>

